Returns the type of a statement

- « oci_set_prefetch

- oci_unregister_taf_callback »

- PHP Manual
- OCI8 Functions
- Returns the type of a statement

# oci_statement_type

(PHP 5, PHP 7, PHP 8, PECL OCI8 >= 1.1.0)

oci_statement_type — Returns the type of a statement

### Description

oci_statement_type(resource `$statement`): string|false

Returns a keyword identifying the type of the OCI8 `statement`.

### Parameters

`statement`

  A valid OCI8 statement identifier from oci_parse().

### Return Values

Returns the type of `statement` as one of the following strings.

Statement type
Return String | Notes
--- | ---
`ALTER` |
`BEGIN` |
`CALL` |
`CREATE` |
`DECLARE` |
`DELETE` |
`DROP` |
`INSERT` |
`SELECT` |
`UPDATE` |
`UNKNOWN` |

Returns `false` on error.

### Examples

Example #1 oci_statement_type() example

    <?php$conn = oci_connect('hr', 'welcome', 'localhost/XE');$stid = oci_parse($conn, 'DELETE FROM departments WHERE department_id = 130;');if (oci_statement_type($stid) == "DELETE") {    trigger_error('You are not allowed to delete from this table', E_USER_ERROR);}else {    oci_execute($stid);  // delete the row}oci_free_statement($stid);oci_close($conn);?>